Bug 732787 - WEBUI: Adding an indirect automount map - missing mountpoint and parent map
Summary: WEBUI: Adding an indirect automount map - missing mountpoint and parent map
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 15
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 15:32 UTC by Sigbjorn Lie
Modified: 2011-10-19 15:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 15:08:58 UTC


Attachments (Terms of Use)

Description Sigbjorn Lie 2011-08-23 15:32:30 UTC
Description of problem:
In the WEBUI: When adding an automount map, "Indirect" map type is chosen by default, but the "Mount Point" and "Parent map" input fields are missing

Version-Release number of selected component (if applicable):
2.1

How reproducible:
Every time

Steps to Reproduce:
1. Go to Policy -> Automount -> Automount maps -> custom_location 
2. Click on "Add", choose Indirect, complete the form, press add
3. Click on "Add" again, this time Indirect is selected, but the "Mount Point" and "Parent map" input fields are missing
4. Click Direct, and then Indirect to show the missing fields
  
Actual results:


Expected results:
Direct map type chosen by default every time, or "Mount Point" and "Parent map" input fields visible without having to click on Direct and then Indirect

Additional info:

Comment 1 Rob Crittenden 2011-08-23 17:21:00 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1698

Comment 2 Martin Kosek 2011-08-26 10:32:16 UTC
Closed upstream:
master: fcd927a126ebcee2b38e8f8bb05ea38cf018b1e2
ipa-2-1: beac7e2bbf014eb982f097b6aaeb23ed50ebd8a1

Comment 3 Rob Crittenden 2011-10-19 15:08:58 UTC
Fixed in 2.1.1


Note You need to log in before you can comment on or make changes to this bug.